<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>DigestLoginModule.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.zookeeper.server.auth</a> &gt; <span class="el_source">DigestLoginModule.java</span></div><h1>DigestLoginModule.java</h1><pre class="source lang-java linenums">/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.zookeeper.server.auth;

import javax.security.auth.Subject;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.spi.LoginModule;
import java.util.Map;

<span class="fc" id="L26">public class DigestLoginModule implements LoginModule {</span>
    private Subject subject;

    public boolean abort() {
<span class="nc" id="L30">        return false;</span>
    }

    public boolean commit() {
<span class="fc" id="L34">        return true;</span>
    }

    public void initialize(Subject subject, CallbackHandler callbackHandler, Map&lt;String,?&gt; sharedState, Map&lt;String,?&gt; options) {
<span class="fc bfc" id="L38" title="All 2 branches covered.">        if (options.containsKey(&quot;username&quot;)) {</span>
            // Zookeeper client: get username and password from JAAS conf (only used if using DIGEST-MD5).
<span class="fc" id="L40">            this.subject = subject;</span>
<span class="fc" id="L41">            String username = (String)options.get(&quot;username&quot;);</span>
<span class="fc" id="L42">            this.subject.getPublicCredentials().add((Object)username);</span>
<span class="fc" id="L43">            String password = (String)options.get(&quot;password&quot;);</span>
<span class="fc" id="L44">            this.subject.getPrivateCredentials().add((Object)password);</span>
        }
<span class="fc" id="L46">        return;</span>
    }

    public boolean logout() {
<span class="nc" id="L50">        return true;</span>
    }

    public boolean login() {
        // Unlike with Krb5LoginModule, we don't do any actual login or credential passing here: authentication to Zookeeper
        // is done later, through the SASLClient object.
<span class="fc" id="L56">        return true;</span>
    }

}


</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>